# Just Law

Just Law is a search engine developed to redesign the legal document search environment.

## Synoposis & Inspiration 

Proud to be made at the largest Canadian legal tech hackathon (Legal Tech Hack hosted by North of 41), in under 48 hours, the solution aimed to use NLP (Natural Language Processing) & Machine Learning to provide a new insight into legal document representation. This repository represents the work which the 4-person team (including me), completed in 48 hours. It includes the Tomcat server with some JSON files for samples + the hard-coded and dyamic front-end.

We took a look at cluttered solutions such as CANLII & FindLaw, and decided to improve upon them. For example, take a look at some of the competitor homepages:

![CanLII Website](http://i.imgur.com/PN3w0bm.gif "CanLII Website")

![FindLaw Website](/LocalGif_NOTPARTOFPROJECT/Law.gif "FindLaw Website")

## Installation

To test out the service, start the Java Server in your favourite IDE (we used IntelliJ). Then, open the dynamic website folder, and start on page one). 

To test without server, open the hard-linked website. Do note, the first page - you must click the search button, as enter has not been enabled for a search. 

## Usage & API's

1. CANLii Api has been used to scrape the documents off of the server. 

2. PDFTOTEXT has been used to convert our PDF extracted data to .txt items. 

3. SMMRY has been used for text Summarization 

4. Font Awesome Icons has been used for aesthetic purposes. 

5. Particle-Ground base has been used to generate particle network animations in JS. 

6. Much, much more - which we will be updating over the next bit.

## Fancy Screenshots of it working 

Home Page: 

![Just Law Page One](http://imgur.com/D7NGOMZ.gif "Just Law Page One")

Third Page (summarization, etc.): 

![Just Law Third Page](http://imgur.com/WZfBJWE.gif "Just Law Third Page")

# Thanks for reading!






